%define pkg_name        Finance-Quote
%define pkg_version     1.13
%define rpm_pkg_version 1.13
%define rpm_pkg_release 1.n0i.1

Summary:       Fetch stock prices over the Internet
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/H/HA/HAMPTON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Crypt::SSLeay)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTML::TableExtract)


%description
This module gets stock quotes from various internet sources, including Yahoo!
Finance, Fidelity Investments, and the Australian Stock Exchange. There are
two methods of using this module -- a functional interface that is
depreciated, and an object-orientated method that provides greater flexibility
and stability.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path Examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog Documentation/ Examples/


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 1.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.13
